Search documentation of tiger_stripe

# Stripe.Services.Treasury.CreditReversalService (tiger_stripe v0.1.1)

Copy Markdown View Source

TreasuryReceivedCreditsResourceCreditReversal

You can reverse some ReceivedCredits depending on their network and source flow. Reversing a ReceivedCredit leads to the creation of a new object known as a CreditReversal.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a CreditReversal

list(client, params \\ %{}, opts \\ [])

List all CreditReversals

retrieve(client, credit_reversal, params \\ %{}, opts \\ [])

Retrieve a CreditReversal

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a CreditReversal

Reverses a ReceivedCredit and creates a CreditReversal object.

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all CreditReversals

Returns a list of CreditReversals.

# retrieve(client, credit_reversal, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a CreditReversal

Retrieves the details of an existing CreditReversal by passing the unique CreditReversal ID from either the CreditReversal creation request or CreditReversal list